Subject: RE: [wishlist] graphical diff

From: Raimund Bauer <[email-masked]>
Date: Mon, 19 Mar 2007 17:44:04 +0100

Hi,

On Mon, 2007-03-19 at 14:00 +0100, Johannes Schindelin wrote:
> > Maybe with a git.gui config option (like merge.tool)?
> > Or by specifying on the commandline:
> > 
> > git diff --gui=<my-gui-differ> ...
> > 
> > And <my-gui-differ> = xxdiff | kompare | tkdiff | ...
> 
> Have you actually looked at the patch I sent? It is more logical to say 
> "git -p=<bla> diff ..." when the option "-p" (without "=") already exists.

I have, and I can't see your patch doing what I want.
Sorry if I haven't made myself clear what I want, but I was thinking
about a shortcut for something like the following example sequence:

$ git show v1.4.0:git.c > git.c.v1.4.0
$ git show v1.4.4:git.c > git.c.v1.4.4
$ tkdiff git.c.v1.4.0 git.c.v1.4.4
$ rm git.c.v1.4.0 git.c.v1.4.4

Replace tkdiff with the differ of your choice.

At least for comparing 2 single blobs that behavior should be well
defined. For comparing multiple blobs, checking them out in 2 separate
directories and starting the differ with the directories could work, but
I'm more after the single-file case for now ... and that's also the one
that should be easy to start from gitk.

If there's a way to do that by setting the pager I'll be happy to do
so ;-)

> Ciao,
> Dscho

-- 
best regards

  Ray